{pkgs, lib, config, ... }:
{
  programs.rofi.enable = true;
  programs.rofi.extraConfig = {
    show-icons = true;
    drun-display-format = "{icon} {name}";
    hide-scrollbar = true;
    sidebar-mode = true;
    dpi = 110;
    font = "FreeSans Regular 12";
  };
  programs.rofi.theme = lib.mkAfter {
    window.height = 600;
    window.width = 600;
    window.border-radius = 0;

    element = {
      padding = 5;
      border-radius = 0;
    };
    inputbar.padding = 14;
    listview = {
      padding = 8;
      border-radius = "0 0 0 0";
      border = "2 2 2 2";
      dynamic = false;
    };
    "element-text element-icon" = {
      size = 40;
      margin = "0 10 0 0";
    };
    "element selected.normal" = {
      background-color = lib.mkForce "@normal-background";
    };
    "element alternate.normal" = {
      background-color = lib.mkForce "@normal-background";
    };
    mainbox.children = "inputbar, message, listview";
    mainbox.spacing = 0;
  };
}
